petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatFactorGetSolverType

Returns name of the package providing the factorization routines

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorGetSolverType(Mat mat, MatSolverType *type)

Not Collective

### Input Parameter

mat -the matrix, must be a factored matrix

### Output Parameter

type -the string name of the package (do not free this string)

### Notes

In Fortran you pass in a empty string and the package name will be copied into it. (Make sure the string is long enough)

### See Also

MatCopy(), MatDuplicate(), MatGetFactorAvailable(), MatGetFactor()

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Implementations

MatFactorGetSolverType_SparseElemental in src/mat/impls/aij/mpi/clique/clique.cxx
MatFactorGetSolverType_mkl_cpardiso in src/mat/impls/aij/mpi/mkl_cpardiso/mkl_cpardiso.c
MatFactorGetSolverType_mumps in src/mat/impls/aij/mpi/mumps/mumps.c
MatFactorGetSolverType_pastix in src/mat/impls/aij/mpi/pastix/pastix.c
MatFactorGetSolverType_aij_strumpack in src/mat/impls/aij/mpi/strumpack/strumpack.c
MatFactorGetSolverType_aij_superlu_dist in src/mat/impls/aij/mpi/superlu_dist/superlu_dist.c
MatFactorGetSolverType_seqaij_bas in src/mat/impls/aij/seq/bas/basfactor.c
MatFactorGetSolverType_seqaij_cholmod in src/mat/impls/aij/seq/cholmod/aijcholmod.c
MatFactorGetSolverType_essl in src/mat/impls/aij/seq/essl/essl.c
MatFactorGetSolverType_seqaij_klu in src/mat/impls/aij/seq/klu/klu.c
MatFactorGetSolverType_seqaij_lusol in src/mat/impls/aij/seq/lusol/lusol.c
MatFactorGetSolverType_seqaij_matlab in src/mat/impls/aij/seq/matlab/aijmatlab.c
MatFactorGetSolverType_mkl_pardiso in src/mat/impls/aij/seq/mkl_pardiso/mkl_pardiso.c
MatFactorGetSolverType_seqaij_cusparse in src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu
MatFactorGetSolverType_seqaij_superlu in src/mat/impls/aij/seq/superlu/superlu.c
MatFactorGetSolverType_seqaij_umfpack in src/mat/impls/aij/seq/umfpack/umfpack.c
MatFactorGetSolverType_elemental_elemental in src/mat/impls/elemental/matelem.cxx
MatFactorGetSolverType_seqsbaij_cholmod in src/mat/impls/sbaij/seq/cholmod/sbaijcholmod.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages